Bug 517979 - %post(binutils-devel-2.19.51.0.14-31.fc12.ppc) scriptlet failed, exit status 1
Summary: %post(binutils-devel-2.19.51.0.14-31.fc12.ppc) scriptlet failed, exit status 1
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: binutils
Version: rawhide
Hardware: ppc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nick Clifton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 531349
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-18 09:16 UTC by Jan Stodola
Modified: 2009-10-27 21:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-27 21:52:44 UTC


Attachments (Terms of Use)
install.log (28.65 KB, text/plain)
2009-08-18 09:16 UTC, Jan Stodola
no flags Details
Add "exit 0" statements to the end of the %post and %preun devel sections (642 bytes, patch)
2009-10-27 12:46 UTC, Nick Clifton
no flags Details | Diff

Description Jan Stodola 2009-08-18 09:16:26 UTC
Created attachment 357757 [details]
install.log

Description of problem:
When installing rawhide-20090817, /root/install.log contains:
warning: %post(binutils-devel-2.19.51.0.14-31.fc12.ppc) scriptlet failed, exit status 1

Version-Release number of selected component (if applicable):
binutils-devel-2.19.51.0.14-31.fc12.ppc

How reproducible:
always

Steps to Reproduce:
1. install rawhide-20090817
  
Actual results:
warning: %post(binutils-devel-2.19.51.0.14-31.fc12.ppc) scriptlet failed, exit status 1

Expected results:
no warning

Additional info:
Package section from kickstart:

%packages --ignoremissing
@development-libs
@development-tools
expect
libxml2-python
ntp
pyOpenSSL

%end

Comment 1 Nick Clifton 2009-10-27 12:46:12 UTC
Created attachment 366259 [details]
Add "exit 0" statements to the end of the %post and %preun devel sections

Comment 2 Nick Clifton 2009-10-27 12:47:21 UTC
Hi Jan,

  I think that the scriptlet is actually working, it just fails to tell the install process that it has worked.

  Please could you try out the uploaded patch and let me know if it resolves the problem for you.

Cheers
  Nick Clifton

Comment 3 Jan Kratochvil 2009-10-27 21:52:44 UTC
Included in:
http://koji.fedoraproject.org/koji/buildinfo?buildID=138667
binutils-2.19.51.0.14-34.fc12
* Tue Oct 27 2009 Jan Kratochvil <jan.kratochvil@redhat.com> 2.19.51.0.14-34
 - Fix rpm --excludedocs (BZ 515922).
 - Fix spurious scriplet errors by `exit 0'. (BZ 517979, Nick Clifton) 

Requested f12-dist inclusion:
https://fedorahosted.org/rel-eng/ticket/2789


Note You need to log in before you can comment on or make changes to this bug.